# frozen_string_literal: true

#
# Copyright:: (c) 2015-2017 Sam4Mobile, 2017-2018 Make.org, 2019 Samuel Bernard
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

# Enable/Start service
service 'gitlab-runner' do
  supports status: true, restart: true
  action node['gitlab-ci-runner']['service']['action']
  delayed_action node['gitlab-ci-runner']['service']['delayed_action']
  subscribes :restart, 'template[/etc/gitlab-runner/config.toml]', :delayed
end
